# FdoISelectAggregates Class Reference

`#include <ISelectAggregates.h>`

Inheritance diagram for FdoISelectAggregates:

[legend]

List of all members.

## Detailed Description

The FdoISelectAggregate interface defines a Select command that handle selection of properties that include the use of aggregate functions. This command differs from the FdoISelect command in a number of ways. It handles selection of properties that are aggregate functions and supports selecting distinct property values. It also includes grouping criteria. The execute method returns an IDataReader which is not tied to a specific class. Unlike Select, FdoISelectAggregate does not include any locking functions.

Definition at line 40 of file ISelectAggregates.h.

## Public Member Functions
virtual FDO_API FdoIDataReader * | Execute ()=0
| Executes the select command and returns a reference to an FdoIDataReader.
virtual FDO_API bool | GetDistinct ()=0
| Get the distinct option.
virtual FDO_API FdoIdentifierCollection * | GetGrouping ()=0
| Gets the FdoIdentifierCollection that holds the list of group by property names. If empty no grouping is used. This list is initially empty and the caller need to add the property that the command should use as a group by criteria. No LOB or Geometry type properties can be used for ordering.
virtual FDO_API FdoFilter * | GetGroupingFilter ()=0
| Gets the grouping by filter.
virtual FDO_API void | SetDistinct (bool value)=0
| Set the distinct option of the selection. Non-simple properties such as object properties, geometry properties, raster properties, association properties, etc. will not be supported with Distinct.
virtual FDO_API void | SetGroupingFilter (FdoFilter *filter)=0
| Set the grouping by filter. Use the grouping filter to restrict the groups of returned properties to those groups for which the specified filter is TRUE. For example "order by city" and "min(lanes) = 2". The FdoFilter have to evalute to a binary value(true or false).
## Friends
class | FdoIConnection

The documentation for this class was generated from the following file:

- ISelectAggregates.h